## ros-dashing-udp-driver 0.0.6

=== CMakeLists.txt ===
# Copyright 2018 Apex.AI, Inc.
# Co-developed by Tier IV, Inc. and Apex.AI, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
cmake_minimum_required(VERSION 3.5)

project(udp_driver)

## dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(Boost REQUIRED COMPONENTS system)
if(Boost_FOUND)
    include_directories(${Boost_INCLUDE_DIRS})
    link_directories(${Boost_LIBRARY_DIRS})
endif()

include_directories(include)

install(
    DIRECTORY include/
    DESTINATION include
)
ament_export_include_directories(include)

if(BUILD_TESTING)
    find_package(std_msgs REQUIRED)
    set(TEST_LIB "${PROJECT_NAME}_test")
    add_library(${TEST_LIB} SHARED test/test_driver.hpp test/test_driver.cpp)

    ament_target_dependencies(${TEST_LIB} "rclcpp" "std_msgs")
    target_include_directories(${TEST_LIB} PRIVATE include)
    target_link_libraries(${TEST_LIB} ${Boost_LIBRARIES})

    # Unit tests
    find_package(ament_cmake_gtest REQUIRED)
    set(TEST_UDP_DRIVER_EXE test_udp_driver)
    ament_add_gtest(${TEST_UDP_DRIVER_EXE}
            test/gtest_main.cpp
            test/test_udp_driver.cpp)
    ament_target_dependencies(${TEST_UDP_DRIVER_EXE}  "Boost")
    target_include_directories(${TEST_UDP_DRIVER_EXE} PRIVATE include)
    target_link_libraries(${TEST_UDP_DRIVER_EXE} ${TEST_LIB})

    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
endif()

ament_package(
    CONFIG_EXTRAS_POST "udp_driver-extras.cmake"
)

=== debian/changelog ===
ros-dashing-udp-driver (0.0.6-4bionic) bionic; urgency=high

  * Uncrustify fixes.
  * Remove lifecycle references (#19 <https://github.com/ros-drivers/transport_drivers/issues/19>)
  * Fixing boost dependency. (#18 <https://github.com/ros-drivers/transport_drivers/issues/18>)
  * Contributors: Esteve Fernandez, Joshua Whitley

 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Thu, 27 Aug 2020 05:00:00 -0000

ros-dashing-udp-driver (0.0.5-4bionic) bionic; urgency=high

  * Be specific about which parts of Boost are necessary (#10 <https://github.com/ros-drivers/transport_drivers/issues/10>)
    * serial: be specific about Boost dependency.
    * udp: be specific about Boost dependency.
  * Fix doxygen
  * Contributors: Esteve Fernandez, G.A. vd. Hoorn

 -- Apex.AI, Inc. <opensource@apex.ai>  Thu, 16 Jul 2020 05:00:00 -0000

ros-dashing-udp-driver (0.0.4-4bionic) bionic; urgency=high

  * Added UdpConfig class to encapsulate configuration options
  * Removed workaround for ROS 2 Dashing PR2
  * Contributors: Esteve Fernandez

 -- Apex.AI, Inc. <opensource@apex.ai>  Thu, 12 Dec 2019 06:00:00 -0000

ros-dashing-udp-driver (0.0.3-4bionic) bionic; urgency=high

  * Merge pull request #2 <https://github.com/ros-drivers/transport_drivers/issues/2> from esteve/fix-dependencies
    Added ament_lint_auto dependency
  * Added ament_lint_auto dependency
  * Contributors: Esteve Fernandez

 -- Apex.AI, Inc. <opensource@apex.ai>  Wed, 21 Aug 2019 05:00:00 -0000

ros-dashing-udp-driver (0.0.2-4bionic) bionic; urgency=high

  * Bump version
  * Initial checkin
  * Contributors: Esteve Fernandez

 -- Apex.AI, Inc. <opensource@apex.ai>  Mon, 19 Aug 2019 05:00:00 -0000

=== debian/control ===
Source: ros-dashing-udp-driver
Section: misc
Priority: optional
Maintainer: Joshua Whitley <whitleysoftwareservices@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-system-dev, ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rclcpp, ros-dashing-std-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-udp-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-system-dev, ros-dashing-rclcpp, ros-dashing-std-msgs, ros-dashing-ros-workspace
Description: A template class and associated utilities which encapsulate basic reading from UDP sockets

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-udp-driver//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
